Subject: Re: RFC 2445: "=" char is delimiter

From: Doug Royer <[email-masked]>
Date: Sun, 27 Feb 2000 14:29:07 -0800 (PST)

> Date: Sun, 27 Feb 2000 22:24:15 +0000
> From: Michael Krivoruchko <[email-masked]>
> 
> > > As far as I can see, the "=" (%x3D) used as a delimiter in 'param'
> > > rule and included in 'SAFE-CHAR' list at the same time.
> > >
> > > Does it sound strange to anybody here except me?
> > 
> > DTSTART;x-foo-param=key=value;VALUE=DATE;TZID=US/Eastern:19950603
> > 
> > Why not?
> > 
> I did not say: It is impossible to imagine "=" within a parameter
> value. I agree. It _is_ possible. But I think the parameter value
> which contains "=" (as one of the delimiters) has to appear in
> the 'quoted-string':

No need unless there is a ':' or ';' in the string.

> DTSTART;x-foo-param="key=value";VALUE=DATE;TZID=US/Eastern:19950603
> 
> It is, actually, implementation issue, but in the example above the
> lexer need not "to know" the context of parsing.

It ends when a ':' or ';' is found.

If you wrap it with a "", then you just have to do more work.
Its determinable both ways.

-Doug
-------------------------------------------------------------------
[email-masked]                  http://royer.com/People/Doug
Text Pager:                     [email-masked]
801 W. El Camino #131
Mountain View, CA 94040         Ham Radio: N6AAW, Aviation: PP-ASEL